<link:linkbase
    xmlns:link="http://www.xbrl.org/2003/linkbase"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    >
   <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AdjustmentsForLeaseCosts" xlink:label="ext_AdjustmentsForLeaseCosts" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_AdjustmentsForLeaseCosts" xlink:to="ext_AdjustmentsForLeaseCosts_lbl" xlink:type="arc"/>
      <link:label id="id_1" xlink:label="ext_AdjustmentsForLeaseCosts_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for lease costs</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AdjustmentsForOtherFinancialCosts" xlink:label="ext_AdjustmentsForOtherFinancialCosts" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_AdjustmentsForOtherFinancialCosts" xlink:to="ext_AdjustmentsForOtherFinancialCosts_lbl" xlink:type="arc"/>
      <link:label id="id_2" xlink:label="ext_AdjustmentsForOtherFinancialCosts_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for other financial costs</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AllDimensionsAbstract" xlink:label="ext_AllDimensionsAbstract" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_AllDimensionsAbstract" xlink:to="ext_AllDimensionsAbstract_lbl" xlink:type="arc"/>
      <link:label id="id_3" xlink:label="ext_AllDimensionsAbstract_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">All Dimensions [abstract]</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AllDimensionsLineItems" xlink:label="ext_AllDimensionsLineItems" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_AllDimensionsLineItems" xlink:to="ext_AllDimensionsLineItems_lbl" xlink:type="arc"/>
      <link:label id="id_4" xlink:label="ext_AllDimensionsLineItems_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">All Dimensions [line items]</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AssetsHeldforsale" xlink:label="ext_AssetsHeldforsale" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_AssetsHeldforsale" xlink:to="ext_AssetsHeldforsale_lbl" xlink:type="arc"/>
      <link:label id="id_5" xlink:label="ext_AssetsHeldforsale_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Assets held-for-sale</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_BareboatCharterRevenue" xlink:label="ext_BareboatCharterRevenue" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_BareboatCharterRevenue" xlink:to="ext_BareboatCharterRevenue_lbl" xlink:type="arc"/>
      <link:label id="id_6" xlink:label="ext_BareboatCharterRevenue_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Bareboat charter revenue</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_BasicComprehensiveIncomeLossPerShare" xlink:label="ext_BasicComprehensiveIncomeLossPerShare" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_BasicComprehensiveIncomeLossPerShare" xlink:to="ext_BasicComprehensiveIncomeLossPerShare_lbl" xlink:type="arc"/>
      <link:label id="id_7" xlink:label="ext_BasicComprehensiveIncomeLossPerShare_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Basic comprehensive income (loss) per share</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheBeginningOfThePeriod" xlink:label="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheBeginningOfThePeriod" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheBeginningOfThePeriod" xlink:to="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheBeginningOfThePeriod_lbl" xlink:type="arc"/>
      <link:label id="id_8" xlink:label="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheBeginningOfThePeriod_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash and cash equivalents net of bank overdrafts at the beginning of the period</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear" xlink:label="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear" xlink:to="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear_lbl" xlink:type="arc"/>
      <link:label id="id_9" xlink:label="ext_CashAndCashEquivalentsNetOfBankOverdraftsAtTheEndOfTheYear_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash and cash equivalents net of bank overdrafts at the end of the year</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_EBITDA" xlink:label="ext_EBITDA" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_EBITDA" xlink:to="ext_EBITDA_lbl" xlink:type="arc"/>
      <link:label id="id_10" xlink:label="ext_EBITDA_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">EBITDA</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities" xlink:label="ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities" xlink:to="ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities_lbl" xlink:type="arc"/>
      <link:label id="id_11" xlink:label="ext_NetCashPaymentForTheInterestPortionOfTheIFRS16RelatedLeaseLiabilityOperatingActivities_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash payment for the interest portion of the IFRS16 related lease liability, operating activities</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_OtherNetInterestPaid" xlink:label="ext_OtherNetInterestPaid" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_OtherNetInterestPaid" xlink:to="ext_OtherNetInterestPaid_lbl" xlink:type="arc"/>
      <link:label id="id_12" xlink:label="ext_OtherNetInterestPaid_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other net interest paid</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_PPEAndRoU" xlink:label="ext_PPEAndRoU" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_PPEAndRoU" xlink:to="ext_PPEAndRoU_lbl" xlink:type="arc"/>
      <link:label id="id_13" xlink:label="ext_PPEAndRoU_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">PPE and RoU</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_RevenuesExcludingBareboatCharterRevenues" xlink:label="ext_RevenuesExcludingBareboatCharterRevenues" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_RevenuesExcludingBareboatCharterRevenues" xlink:to="ext_RevenuesExcludingBareboatCharterRevenues_lbl" xlink:type="arc"/>
      <link:label id="id_14" xlink:label="ext_RevenuesExcludingBareboatCharterRevenues_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Revenues excluding bareboat charter revenues</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_TimeCharterEquivalentEarnings" xlink:label="ext_TimeCharterEquivalentEarnings" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_TimeCharterEquivalentEarnings" xlink:to="ext_TimeCharterEquivalentEarnings_lbl" xlink:type="arc"/>
      <link:label id="id_15" xlink:label="ext_TimeCharterEquivalentEarnings_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Time Charter Equivalent earnings</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_RemainingOtherReserves" xlink:label="ext_RemainingOtherReserves" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_RemainingOtherReserves" xlink:to="ext_RemainingOtherReserves_lbl" xlink:type="arc"/>
      <link:label id="id_16" xlink:label="ext_RemainingOtherReserves_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Remaining Other Reserves</link:label>

      <link:loc xlink:href="2221005IWV4R4EP4D553-2025-12-31.xsd#ext_AllDimensionsTable" xlink:label="ext_AllDimensionsTable" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ext_AllDimensionsTable" xlink:to="ext_AllDimensionsTable_lbl" xlink:type="arc"/>
      <link:label id="id_17" xlink:label="ext_AllDimensionsTable_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">All Dimensions [table]</link:label>

   </link:labelLink>

</link:linkbase>